#### Beyond Linux® From Scratch (System V Edition) - Version r12.2-875

### Chapter 37. LXQt Desktop

- Prev

  kconfig-6.9.0 for lxqt

- Next

  kidletime-6.9.0 for lxqt

- Up
- Home

# solid-6.9.1 for lxqt

## Introduction to solid

Solid is a device integration framework. It provides a way of querying and interacting with hardware independently of the underlying operating system.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Important

This package is extracted from the KF6 set of packages. If KDE Frameworks-6.9.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/6.9/solid-6.9.1.tar.xz

- Download MD5 sum: a7bb41720c68c99d5cbdbc897f92adcb

- Download size: 296 KB

- Estimated disk space required: 39 MB

- Estimated build time: 0.5 SBU (Using parallelism=4)

### solid Dependencies

#### Required

extra-cmake-modules-6.9.0 and Qt-6.8.1

#### Optional (runtime)

UDisks-2.10.1, UPower-1.90.6, libimobiledevice, and media-player-info

## Installation of solid

Install solid by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_BUILD_TYPE=Release         \
          -D CMAKE_INSTALL_LIBEXECDIR=libexec \
          -D KDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -D BUILD_TESTING=OFF                \
          -W no-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: solid-hardware6
Installed Library: libKF6Solid.so
Installed Directories: /usr/include/KF6/Solid and /usr/lib/cmake/KF6Solid

### Short Descriptions

solid-hardware6 | queries hardware information from the system
`libKF6Solid.so` | provides a way of querying and interacting with hardware independently of the underlying operating system

- Prev

  kconfig-6.9.0 for lxqt

- Next

  kidletime-6.9.0 for lxqt

- Up
- Home